%global sname functools32
# upstream uses a weird versioning scheme
%global up_version 3.2.3-2


Name:           python-functools32
Version:        3.2.3.2
Release:        1%{?dist}
Url:            https://github.com/MiCHiLU/python-functools32
Summary:        Backport of the functools module from Python 3.2 for use on 2.7
License:        Python
Source:         https://pypi.io/packages/source/f/%{sname}/%{sname}-%{up_version}.tar.gz
BuildArch:      noarch

%description
Backport of the functools module from Python 3.2.3 for use on 2.7 and PyPy.


%package -n python2-%{sname}
Summary:        Backport of the functools module from Python 3.2 for use on 2.7
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%{?python_provide:%python_provide python2-%{sname}}

%description -n python2-%{sname}
Backport of the functools module from Python 3.2.3 for use on 2.7 and PyPy.


%prep
%autosetup -n %{sname}-%{up_version}

%build
%py2_build

%install
%py2_install

%check
%{__python2} test_%{sname}.py


%files -n python2-%{sname}
%license LICENSE
%doc ChangeLog
%{python2_sitelib}/%{sname}
%{python2_sitelib}/%{sname}*.egg-info

%changelog
* Tue Jul 12 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 3.2.3.2-1
- Initial package

